com.jscape.inet.mft.management.common

## Class EmailServiceConfiguration

- java.lang.Object
- - com.jscape.inet.mft.management.descriptors.Configuration
  - - com.jscape.inet.mft.management.common.EmailServiceConfiguration

- All Implemented Interfaces:
    com.jscape.util.db.IntVersioned, java.io.Serializable

      public class EmailServiceConfiguration
      extends Configuration

  Email service configuration.
  Author:
    Alex Usun
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CUSTOM_PASSWORD` Protect ad-hoc file transfer with password requested from user
    `static int` | `RANDOM_PASSWORD` Protect ad-hoc file transfer with automatically generated password

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EmailServiceConfiguration()` This constructor is used by serialization sub-system and is not intended to use directly in client code.
    `EmailServiceConfiguration(EmailServiceConfiguration that)`
    `EmailServiceConfiguration(java.lang.String host, int port, java.lang.String connectionType, java.lang.String username, java.lang.String password, java.lang.String authenticationType, java.lang.String oauthTokenEndpointUrl, java.lang.String oauthClientId, java.lang.String oauthClientSecret, java.lang.String oauthRedirectUrl, java.lang.String encryptionKeyAlias, java.lang.String encryptionAlgorithm, java.lang.String signingKeyAlias, java.lang.String signingAlgorithm, java.lang.String fromAddress, java.lang.String replyToAddress, java.lang.String debugFile, boolean enableAdHocTransfer, boolean enablePasswordProtection, int passwordProtectionType, com.jscape.inet.mft.management.common.LinkExpiresRange linkExpiresRange, int maxDownloadsDefault, boolean publicContactRecipientsAllowed, boolean topLevelDomainRecipientsAllowed, java.util.List<java.lang.String> allowedTopLevelDomains, com.jscape.inet.mft.AdHocDbConfiguration adHocDbConfiguration, java.util.Properties properties, boolean enabled)` Creates a new configuration instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EmailServiceConfiguration` | `copy()`
    `com.jscape.inet.mft.AdHocDbConfiguration` | `getAdHocDbConfiguration()`
    `java.util.List<java.lang.String>` | `getAllowedTopLevelDomains()` Returns allowed top level domains.
    `java.lang.String` | `getAuthenticationType()`
    `java.lang.String` | `getConnectionType()` Returns connection type.
    `java.lang.String` | `getDebugFile()` Returns debug file path.
    `java.lang.String` | `getEncryptionAlgorithm()`
    `java.lang.String` | `getEncryptionKeyAlias()` Returns encryption key alias.
    `java.lang.String` | `getHost()` Returns SMTP server host.
    `com.jscape.inet.mft.management.common.LinkExpiresRange` | `getLinkExpiresRange()` Returns link expiration range for an ad-hoc transfer.
    `int` | `getMaxDownloadsDefault()` Returns default maximum number of downloads for an ad-hoc transfer.
    `java.lang.String` | `getOauthClientId()`
    `java.lang.String` | `getOauthClientSecret()`
    `java.lang.String` | `getOauthRedirectUrl()`
    `java.lang.String` | `getOauthTokenEndpointUrl()`
    `java.lang.String` | `getPassword()` Returns password.
    `int` | `getPasswordProtectionType()` Returns ad-hoc email file transfer password protection type.
    `int` | `getPort()` Returns SMTP server port.
    `java.util.Properties` | `getProperties()`
    `java.lang.String` | `getReplyTo()` Returns Reply-To email address.
    `java.lang.String` | `getSender()` Returns sender email address.
    `java.lang.String` | `getSigningAlgorithm()`
    `java.lang.String` | `getSigningKeyAlias()` Returns signing key alias.
    `java.lang.String` | `getUsername()` Returns username.
    `boolean` | `isEnableAdHocTransfer()` Returns enable ad-hoc email file transfer flag.
    `boolean` | `isEnabled()` Returns service enabled flag.
    `boolean` | `isEnablePasswordProtection()` Returns enable ad-hoc email links password protection flag.
    `boolean` | `isPublicContactRecipientsAllowed()` Returns allow public contacts recipients only flag.
    `boolean` | `isTopLevelDomainRecipientsAllowed()` Returns allow top level domains recipients only flag.
    `void` | `setAdHocDbConfiguration(com.jscape.inet.mft.AdHocDbConfiguration value)`
    `void` | `setAllowedTopLevelDomains(java.util.List<java.lang.String> value)` Sets allowed top level domains.
    `void` | `setAuthenticationType(java.lang.String value)`
    `void` | `setConnectionType(java.lang.String value)` Sets connection type.
    `void` | `setDebugFile(java.lang.String value)` Sets debug file path.
    `void` | `setEnableAdHocTransfer(boolean value)` Sets ad-hoc email file transfer flag.
    `void` | `setEnabled(boolean value)` Sets service enabled flag.
    `void` | `setEnablePasswordProtection(boolean value)` Sets ad-hoc email links password protection flag.
    `void` | `setEncryptionAlgorithm(java.lang.String value)`
    `void` | `setEncryptionKeyAlias(java.lang.String value)` Sets encryption key alias.
    `void` | `setHost(java.lang.String value)` Sets SMTP server host.
    `void` | `setLinkExpiresRange(com.jscape.inet.mft.management.common.LinkExpiresRange value)` Sets link expiration range for an ad-hoc transfer.
    `void` | `setMaxDownloadsDefault(int value)` Sets default maximum number of downloads for an ad-hoc transfer.
    `void` | `setOauthClientId(java.lang.String value)`
    `void` | `setOauthClientSecret(java.lang.String value)`
    `void` | `setOauthRedirectUrl(java.lang.String value)`
    `void` | `setOauthTokenEndpointUrl(java.lang.String value)`
    `void` | `setPassword(java.lang.String value)` Sets password.
    `void` | `setPasswordProtectionType(int value)` Sets ad-hoc email file transfer password protection type.
    `void` | `setPort(int value)` Sets SMTP server port.
    `void` | `setProperties(java.util.Properties value)`
    `void` | `setPublicContactRecipientsAllowed(boolean value)` Sets allow public contacts recipients only flag.
    `void` | `setReplyTo(java.lang.String value)` Sets Reply-To email address.
    `void` | `setSender(java.lang.String value)` Sets sender email address.
    `void` | `setSigningAlgorithm(java.lang.String value)`
    `void` | `setSigningKeyAlias(java.lang.String value)` Sets signing key alias.
    `void` | `setTopLevelDomainRecipientsAllowed(boolean value)` Sets allow top level domains recipients only flag.
    `void` | `setUsername(java.lang.String value)` Sets username.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.jscape.inet.mft.management.descriptors.Configuration

      `getVersion, setVersion`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### RANDOM_PASSWORD

          public static final int RANDOM_PASSWORD

      Protect ad-hoc file transfer with automatically generated password
      See Also:
        Constant Field Values

    - #### CUSTOM_PASSWORD

          public static final int CUSTOM_PASSWORD

      Protect ad-hoc file transfer with password requested from user
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EmailServiceConfiguration

          public EmailServiceConfiguration(java.lang.String host,
                                           int port,
                                           java.lang.String connectionType,
                                           java.lang.String username,
                                           java.lang.String password,
                                           java.lang.String authenticationType,
                                           java.lang.String oauthTokenEndpointUrl,
                                           java.lang.String oauthClientId,
                                           java.lang.String oauthClientSecret,
                                           java.lang.String oauthRedirectUrl,
                                           java.lang.String encryptionKeyAlias,
                                           java.lang.String encryptionAlgorithm,
                                           java.lang.String signingKeyAlias,
                                           java.lang.String signingAlgorithm,
                                           java.lang.String fromAddress,
                                           java.lang.String replyToAddress,
                                           java.lang.String debugFile,
                                           boolean enableAdHocTransfer,
                                           boolean enablePasswordProtection,
                                           int passwordProtectionType,
                                           com.jscape.inet.mft.management.common.LinkExpiresRange linkExpiresRange,
                                           int maxDownloadsDefault,
                                           boolean publicContactRecipientsAllowed,
                                           boolean topLevelDomainRecipientsAllowed,
                                           java.util.List<java.lang.String> allowedTopLevelDomains,
                                           com.jscape.inet.mft.AdHocDbConfiguration adHocDbConfiguration,
                                           java.util.Properties properties,
                                           boolean enabled)

      Creates a new configuration instance.
      Parameters:
        `host` - SMTP server host
        `port` - SMTP server port
        `connectionType` - connection type
        `username` - username
        `password` - password
        `encryptionKeyAlias` - encryption key alias
        `signingKeyAlias` - signing key alias
        `fromAddress` - from email address
        `replyToAddress` - reply-to email address
        `debugFile` - debug file path
        `enableAdHocTransfer` - enable ad-hoc email file transfer
        `enablePasswordProtection` - enable ad-hoc email links password protection
        `passwordProtectionType` - ad-hoc email file transfer password protection type
        `linkExpiresRange` - link expiration range for an ad-hoc transfer
        `maxDownloadsDefault` - default maximum number of downloads for an ad-hoc transfer.
        `publicContactRecipientsAllowed` - allow public recipients only flag
        `topLevelDomainRecipientsAllowed` - allow top level domains only flag
        `allowedTopLevelDomains` - allowed top level domains
        `adHocDbConfiguration` - Ad-Hoc DB configuration
        `enabled` - service enabled flag

    - #### EmailServiceConfiguration

          public EmailServiceConfiguration(EmailServiceConfiguration that)

    - #### EmailServiceConfiguration

          public EmailServiceConfiguration()

      This constructor is used by serialization sub-system and is not intended to use directly in client code.

  - ### Method Detail

    - #### getHost

          public java.lang.String getHost()

      Returns SMTP server host.
      Returns:
        server host

    - #### setHost

          public void setHost(java.lang.String value)

      Sets SMTP server host.
      Parameters:
        `value` - server host

    - #### getPort

          public int getPort()

      Returns SMTP server port.
      Returns:
        server port

    - #### setPort

          public void setPort(int value)

      Sets SMTP server port.
      Parameters:
        `value` - server port

    - #### getConnectionType

          public java.lang.String getConnectionType()

      Returns connection type.
      Returns:
        connection type

    - #### setConnectionType

          public void setConnectionType(java.lang.String value)

      Sets connection type. Supported types are "PLAIN", "SSL", "START-TLS".
      Parameters:
        `value` - connection type

    - #### getUsername

          public java.lang.String getUsername()

      Returns username.
      Returns:
        username

    - #### setUsername

          public void setUsername(java.lang.String value)

      Sets username.
      Parameters:
        `value` - username

    - #### getPassword

          public java.lang.String getPassword()

      Returns password.
      Returns:
        password

    - #### setPassword

          public void setPassword(java.lang.String value)

      Sets password.
      Parameters:
        `value` - password

    - #### getAuthenticationType

          public java.lang.String getAuthenticationType()

    - #### setAuthenticationType

          public void setAuthenticationType(java.lang.String value)

    - #### getOauthTokenEndpointUrl

          public java.lang.String getOauthTokenEndpointUrl()

    - #### setOauthTokenEndpointUrl

          public void setOauthTokenEndpointUrl(java.lang.String value)

    - #### getOauthClientId

          public java.lang.String getOauthClientId()

    - #### setOauthClientId

          public void setOauthClientId(java.lang.String value)

    - #### getOauthClientSecret

          public java.lang.String getOauthClientSecret()

    - #### setOauthClientSecret

          public void setOauthClientSecret(java.lang.String value)

    - #### getOauthRedirectUrl

          public java.lang.String getOauthRedirectUrl()

    - #### setOauthRedirectUrl

          public void setOauthRedirectUrl(java.lang.String value)

    - #### getEncryptionKeyAlias

          public java.lang.String getEncryptionKeyAlias()

      Returns encryption key alias.
      Returns:
        encryption key alias

    - #### setEncryptionKeyAlias

          public void setEncryptionKeyAlias(java.lang.String value)

      Sets encryption key alias.
      Parameters:
        `value` - encryption key alias

    - #### getEncryptionAlgorithm

          public java.lang.String getEncryptionAlgorithm()

    - #### setEncryptionAlgorithm

          public void setEncryptionAlgorithm(java.lang.String value)

    - #### getSigningKeyAlias

          public java.lang.String getSigningKeyAlias()

      Returns signing key alias.
      Returns:
        signing key alias

    - #### setSigningKeyAlias

          public void setSigningKeyAlias(java.lang.String value)

      Sets signing key alias.
      Parameters:
        `value` - signing key alias

    - #### getSigningAlgorithm

          public java.lang.String getSigningAlgorithm()

    - #### setSigningAlgorithm

          public void setSigningAlgorithm(java.lang.String value)

    - #### getSender

          public java.lang.String getSender()

      Returns sender email address.
      Returns:
        sender email address

    - #### setSender

          public void setSender(java.lang.String value)

      Sets sender email address.
      Parameters:
        `value` - sender email address

    - #### getReplyTo

          public java.lang.String getReplyTo()

      Returns Reply-To email address.
      Returns:
        reply-to email address

    - #### setReplyTo

          public void setReplyTo(java.lang.String value)

      Sets Reply-To email address.
      Parameters:
        `value` - reply-to email address

    - #### getDebugFile

          public java.lang.String getDebugFile()

      Returns debug file path.
      Returns:
        debug file path

    - #### setDebugFile

          public void setDebugFile(java.lang.String value)

      Sets debug file path.
      Parameters:
        `value` - debug file path

    - #### isEnableAdHocTransfer

          public boolean isEnableAdHocTransfer()

      Returns enable ad-hoc email file transfer flag.
      Returns:
        `true` if Ad Hoc email file transfer is enabled; `false` otherwise

    - #### setEnableAdHocTransfer

          public void setEnableAdHocTransfer(boolean value)

      Sets ad-hoc email file transfer flag.
      Parameters:
        `value` - if `true` email file transfer will be enabled

    - #### isEnablePasswordProtection

          public boolean isEnablePasswordProtection()

      Returns enable ad-hoc email links password protection flag.
      Returns:
        `true` if ad-hoc email links password protected; `false` otherwise

    - #### setEnablePasswordProtection

          public void setEnablePasswordProtection(boolean value)

      Sets ad-hoc email links password protection flag.
      Parameters:
        `value` - if `true` ad-hoc email links will be password protected

    - #### getPasswordProtectionType

          public int getPasswordProtectionType()

      Returns ad-hoc email file transfer password protection type.
      Returns:
        password protection type
      See Also:
        `RANDOM_PASSWORD`, `CUSTOM_PASSWORD`

    - #### setPasswordProtectionType

          public void setPasswordProtectionType(int value)

      Sets ad-hoc email file transfer password protection type.
      Parameters:
        `value` - password protection type
      See Also:
        `RANDOM_PASSWORD`, `CUSTOM_PASSWORD`

    - #### getLinkExpiresRange

          public com.jscape.inet.mft.management.common.LinkExpiresRange getLinkExpiresRange()

      Returns link expiration range for an ad-hoc transfer.
      Returns:
        the link expiration range

    - #### setLinkExpiresRange

          public void setLinkExpiresRange(com.jscape.inet.mft.management.common.LinkExpiresRange value)

      Sets link expiration range for an ad-hoc transfer.
      Parameters:
        `value` - the link expiration range

    - #### getMaxDownloadsDefault

          public int getMaxDownloadsDefault()

      Returns default maximum number of downloads for an ad-hoc transfer.
      Returns:
        the default value

    - #### setMaxDownloadsDefault

          public void setMaxDownloadsDefault(int value)

      Sets default maximum number of downloads for an ad-hoc transfer.
      Parameters:
        `value` - the default value

    - #### isPublicContactRecipientsAllowed

          public boolean isPublicContactRecipientsAllowed()

      Returns allow public contacts recipients only flag.
      Returns:
        `true` if only public contacts recipients are allowed; `false` otherwise

    - #### setPublicContactRecipientsAllowed

          public void setPublicContactRecipientsAllowed(boolean value)

      Sets allow public contacts recipients only flag.
      Parameters:
        `value` - if `true` only public contacts recipients will be allowed

    - #### isTopLevelDomainRecipientsAllowed

          public boolean isTopLevelDomainRecipientsAllowed()

      Returns allow top level domains recipients only flag.
      Returns:
        `true` if only top level domains recipients are allowed; `false` otherwise

    - #### setTopLevelDomainRecipientsAllowed

          public void setTopLevelDomainRecipientsAllowed(boolean value)

      Sets allow top level domains recipients only flag.
      Parameters:
        `value` - if `true` only top level domains recipients will be allowed

    - #### getAllowedTopLevelDomains

          public java.util.List<java.lang.String> getAllowedTopLevelDomains()

      Returns allowed top level domains.
      Returns:
        allowed top level domains

    - #### setAllowedTopLevelDomains

          public void setAllowedTopLevelDomains(java.util.List<java.lang.String> value)

      Sets allowed top level domains.
      Parameters:
        `value` - allowed top level domains

    - #### getAdHocDbConfiguration

          public com.jscape.inet.mft.AdHocDbConfiguration getAdHocDbConfiguration()

    - #### setAdHocDbConfiguration

          public void setAdHocDbConfiguration(com.jscape.inet.mft.AdHocDbConfiguration value)

    - #### getProperties

          public java.util.Properties getProperties()

    - #### setProperties

          public void setProperties(java.util.Properties value)

    - #### isEnabled

          public boolean isEnabled()

      Returns service enabled flag.
      Returns:
        `true` if service is enabled; `false` otherwise

    - #### setEnabled

          public void setEnabled(boolean value)

      Sets service enabled flag.
      Parameters:
        `value` - if `true` service will be enabled

    - #### copy

          public EmailServiceConfiguration copy()

      Specified by:
        `copy` in class `Configuration`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2009-2022. Redwood Software Inc. All rights reserved.